/*
 * Copyright (C) 2009 by Aiwota Programmer
 * aiwotaprog@tetteke.tk
 *
 * This file is part of Dialektos.
 *
 * Dialektos is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Dialektos is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Dialektos.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "text_element_anchor.hxx"

#include <gdkmm/cursor.h>
#include <pangomm/attrlist.h>
#include <pangomm/attributes.h>


namespace dialektos {

namespace text_element {

Gdk::CursorType Anchor::get_cursor_type() const {
  return Gdk::HAND2;
}

void Anchor::set_attributes(Pango::AttrList& list) const {
  using namespace Pango;
  AttrInt underline = Attribute::create_attr_underline(UNDERLINE_SINGLE);
  list.insert(underline);
}


} // namespace text_element

} // namespace dialektos
