/*
 * Copyright (C) 2009 by Aiwota Programmer
 * aiwotaprog@tetteke.tk
 *
 * This file is part of Dialektos.
 *
 * Dialektos is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Dialektos is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Dialektos.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "text_element_res_num.hxx"

#include <pangomm/attrlist.h>
#include <pangomm/attributes.h>
#include "text_element_res_num_map.hxx"


namespace dialektos {

namespace text_element {


void ResNum::set_attributes(Pango::AttrList& list) const {
  using namespace Pango;

  Anchor::set_attributes(list);

  const int count = res_num_map_->get_count(res_num_);
  if (count > 4) {
    AttrColor attr = Attribute::create_attr_foreground(0xffff, 0, 0);
    list.insert(attr);
  }
  else if (count > 0) {
    AttrColor attr = Attribute::create_attr_foreground(0, 0, 0xffff);
    list.insert(attr);
  }
}


} // namespace text_element

} // namespace dialektos
